searchData={"items":[{"type":"module","title":"Superls","doc":"A multi volumes files indexer and search engine elixir CLI (Linux).\n\n#","ref":"Superls.html"},{"type":"module","title":"Indexing - Superls","doc":"`superls` analyzes the filenames of a volume, extracts the filename tags and other file attributes such as size, and builds an index for the volume.\n\n  Unless a store name is given (-s), volume indexes are grouped together in the `default` store.\n\n  Stores are saved compressed and optionally password encrypted.\n\n  The following command creates an index of /path/to/my/files in the `default` store :\n\n```bash\nsuperls archive /path/to/my/files\n```\nor on store `mystore` with stdin password encryption :\n\n```bash\nsuperls archive /path/to/my/files -s mystore -p\n```\n\n#","ref":"Superls.html#module-indexing"},{"type":"module","title":"Search - Superls","doc":"The command to search tags in the `default` store with the CLI is :\n\n```bash\nsuperls search\n```\nAn interactive shell asks for commands like query by a list of tags separated by space, a tag can be incomplete. \nThe result is a list of matched files.\n\n#","ref":"Superls.html#module-search"},{"type":"module","title":"Other CLI commands - Superls","doc":"For help, getting stores details ...  :\n\n```bash\nsuperls\n```\n\n\n#","ref":"Superls.html#module-other-cli-commands"},{"type":"module","title":"What is parsed ? - Superls","doc":"`superls` tokenizes filenames with the following delimiters :\n```elixir\n  \",\", \" \", \"_\", \"-\", \".\", \"*\", \"/\", \"(\", \")\", \":\", \"\\t\", \"\\n\"\n```\n\nCollected tags are grouped with some files attributes like the file size. \nSee `ListerFile{}`struct for more details about collected data.\n\nTags and file attributes constitute the index entry for the file.\n\n#","ref":"Superls.html#module-what-is-parsed"},{"type":"module","title":"Discarding files and tags from indexing - Superls","doc":"Files with an extension present in `./priv/banned_file_ext` are not indexed.\n\nTags present in `./priv/banned_tags` are not indexed.\n\n#","ref":"Superls.html#module-discarding-files-and-tags-from-indexing"},{"type":"module","title":"Advanced search - Superls","doc":"##","ref":"Superls.html#module-advanced-search"},{"type":"module","title":"jaro search - Superls","doc":"##","ref":"Superls.html#module-jaro-search"},{"type":"module","title":"by size search - Superls","doc":"","ref":"Superls.html#module-by-size-search"},{"type":"function","title":"Superls.cache_path/0","doc":"","ref":"Superls.html#cache_path/0"},{"type":"function","title":"Superls.cache_store_path/1","doc":"","ref":"Superls.html#cache_store_path/1"},{"type":"function","title":"Superls.decrypt/2","doc":"","ref":"Superls.html#decrypt/2"},{"type":"function","title":"Superls.encrypt/2","doc":"","ref":"Superls.html#encrypt/2"},{"type":"function","title":"Superls.halt/1","doc":"","ref":"Superls.html#halt/1"},{"type":"function","title":"Superls.maybe_create_cache_path/0","doc":"","ref":"Superls.html#maybe_create_cache_path/0"},{"type":"function","title":"Superls.maybe_create_dir/2","doc":"","ref":"Superls.html#maybe_create_dir/2"},{"type":"function","title":"Superls.string_to_numeric/1","doc":"","ref":"Superls.html#string_to_numeric/1"},{"type":"module","title":"Superls.Api","doc":"`Superls` API for the CLI.","ref":"Superls.Api.html"},{"type":"function","title":"Superls.Api.archive/4","doc":"","ref":"Superls.Api.html#archive/4"},{"type":"function","title":"Superls.Api.inspect_store/2","doc":"return the store main metrics in a map","ref":"Superls.Api.html#inspect_store/2"},{"type":"function","title":"Superls.Api.list_indexes/2","doc":"return the list of indexes for a store","ref":"Superls.Api.html#list_indexes/2"},{"type":"function","title":"Superls.Api.search_bydate/5","doc":"","ref":"Superls.Api.html#search_bydate/5"},{"type":"function","title":"Superls.Api.search_duplicated_tags/2","doc":"","ref":"Superls.Api.html#search_duplicated_tags/2"},{"type":"function","title":"Superls.Api.search_from_store/3","doc":"","ref":"Superls.Api.html#search_from_store/3"},{"type":"function","title":"Superls.Api.search_oldness/4","doc":"","ref":"Superls.Api.html#search_oldness/4"},{"type":"function","title":"Superls.Api.search_similar_size/2","doc":"","ref":"Superls.Api.html#search_similar_size/2"}],"producer":{"name":"ex_doc","version":[48,46,51,49,46,50]},"content_type":"text/markdown"}